CREATE TABLE fun_alloc_process_set_assign (
    PROCESS_SET_ASSIGNMENT_ID     NUMBER(18, 0),
    PROCESS_SET_ID                NUMBER(18, 0)    NOT NULL,
    PROCESS_ID                    NUMBER(18, 0)    NOT NULL,
    PREDECESSOR_PROCESS_SET_ID    NUMBER(18, 0),
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    PROCESS_SET_ASSIGNMENT_ID     NUMBER(18, 0),
    PROCESS_SET_ID                NUMBER(18, 0)    NOT NULL,
    PROCESS_ID                    NUMBER(18, 0)    NOT NULL,
    PREDECESSOR_PROCESS_SET_ID    NUMBER(18, 0),
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_fun_alloc_process_set_assign PRIMARY KEY (PROCESS_SET_ASSIGNMENT_ID, PROCESS_SET_ASSIGNMENT_ID)
);
